---
- name: "Host Management Example"
    hosts: all
    gather_facts: no
    ignore_errors: True

    vars:
      default_network_fqdn: "issac.local"

    roles:
    - {
        role: host-mgt,
        generate_from_inventory: true,
        generate_from_hosts_list: true,
        host_list:
        {
#         SERVER HOSTS
          "host-a": { ip_address: "192.168.0.2", hostname: "host-a", fqdn: "host-a.subdomain.issac.loc>
          "host-b": { ip_address: "192.168.0.3", hostname: "host-b", fqdn: "host-b.subdomain.issac.loc>
#         DESKTOP HOSTS
          "host-c": { ip_address: "192.168.0.4", hostname: "host-c", fqdn: "host-c.subdomain.issac.loc>
        }